# Method: projects.findings.list

- [HTTP request](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/list#body.request_body)
- [Response body](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/list#body.ListFindingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/list#body.aspect_1)

Get a list of findings that meet the filter criteria. The `parent` field in ListFindingsRequest should have the format: projects/{project}

### HTTP request

`GET https://threatintelligence.googleapis.com/v1beta/{parent=projects/*}/findings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent of the findings. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional. Filter criteria. |
| `orderBy` | `string` Optional. Order by criteria in the csv format: "field1,field2 desc" or "field1,field2" or "field1 asc, field2". |
| `pageToken` | `string` Optional. Page token. |
| `pageSize` | `integer` Optional. Page size. |

### Request body

The request body must be empty.

### Response body

Response message for findings.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "findings": [ { object (`https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings#Finding`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `findings[]` | ``object (`https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings#Finding`)`` List of findings. |
| `nextPageToken` | `string` Page token. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `threatintelligence.findings.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).